//+------------------------------------------------------------------+
//|                                          Blessing Martingale.mq4 |
//|                                                            timbo |
//|                                                                  |
//+------------------------------------------------------------------+
#property copyright "timbobo"
#property link      ""

//---- input parameters
extern int     SL=20;
extern int     TP=20;
extern double  Lots=0.1;

//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----
   int cmd = 2; double Lot = Lots; double price; int slippage = 4; double stoploss; double takeprofit; color colour; int magic = 111;
   bool myTrades; int myTicket; int i;
   bool BuyOrderAlive = false; bool SellOrderAlive = false;
   static int BuyTicket = 0;
   static int SellTicket = 0;

   if(BuyTicket == 0 && SellTicket == 0)
   {
      cmd = 0; price = Ask; colour = Green; stoploss = Bid - SL*Point; takeprofit = Bid + TP*Point;
      BuyTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
      cmd = 1; price = Bid; colour = Red; stoploss = Ask + SL*Point; takeprofit = Ask - TP*Point;
      SellTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
   }
   

      OrderSelect(BuyTicket,SELECT_BY_TICKET,MODE_TRADES);
      if(OrderCloseTime() != 0) 
      {
         if(OrderProfit() > 0) Lot = Lots; else Lot = OrderLots() * 2;
         cmd = 0; price = Ask; colour = Green; stoploss = Bid - SL*Point; takeprofit = Bid + TP*Point;
         BuyTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
      }
      
      OrderSelect(SellTicket,SELECT_BY_TICKET,MODE_TRADES);
      if(OrderCloseTime() != 0) 
      {
         if(OrderProfit() > 0) Lot = Lots; else Lot = OrderLots() * 2;
         cmd = 1; price = Bid; colour = Red; stoploss = Ask + SL*Point; takeprofit = Ask - TP*Point;
         SellTicket = OrderSend(Symbol(), cmd, Lot, price, slippage, stoploss, takeprofit, NULL, magic, 0, colour);
      }  


   
//----
   return(0);
  }
//+------------------------------------------------------------------+